[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDataSet.GetFieldList

Return field instances in a list

## Declaration

Source position: db.pas line 1575

`public procedure TDataSet.GetFieldList(`
`List: TList;`
`const FieldNames: String`
`);`

## Arguments

`List` |  | List in whihc to return field instances
`FieldNames` |  | Semicolon-separated list of fieldnames

## Description

GetfieldList parses FieldNames for names of fields, and returns the field instances that match the names in list. FieldNames must be a list of field names, separated by semicolons. The list is cleared prior to filling with the requested field instances.

## Errors

If FieldNames contains a name of a field that does not exist in the dataset, then an EDatabaseError exception will be raised.

## See also

TDataset.GetFieldNames |  | Return a list of all available field names
TDataset.FieldByName |  | Search a field by name
TDataset.FindField |  | Find a field by name

The latest version of this document can be found at lazarus-ccr.sourceforge.net .